/***************************************************************************
 *   Copyright (C) 2005 by Adam Skowronski   *
 *   tytus@oldfield.org.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <qapplication.h>
#include <qnamespace.h>
#include <qtextcodec.h>
#include <qobject.h>

#include "calendar.h"

#include "settings.h"

CalendarSettings config;
bool debuging;


int main( int argc, char ** argv ) {
    QApplication app( argc, argv );

	QTranslator translator( 0 );
    translator.load( QString( "tskal_" ) + QTextCodec::locale(), (QString)_DATADIR+(QString)"tskal/" );
    app.installTranslator( &translator );

    Calendar *mainWin = 0;

        mainWin = new Calendar(app.desktop(),"TsKal", Qt::WType_TopLevel +Qt::WStyle_Customize+Qt::WStyle_NoBorder);
        app.setMainWidget( mainWin );


		mainWin->move(::config.nPosX, ::config.nPosY);
        mainWin->show();


    app.connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );
    return app.exec();
}
